%define ver 4.1.0
%define rel 1

%define basedir /opt/lsb
# perl modules from CPAN - not in LSB, needed for some XML/cpio functions
%define acpio Archive-Cpio-0.07
%define xsimple XML-Simple-2.18
%define xsax XML-SAX-0.16
%define xnamespace XML-NamespaceSupport-1.09
%define fakerootver 1.11
%define fakeroottar fakeroot_%{fakerootver}.tar.gz
%define fakeroot fakeroot-%{fakerootver}
 
# %{version}, %{rel} are provided by the Makefile
Summary: LSB RPM Builder
Name: lsb-makelsbpkg
Version: %{ver}
Release: %{rel}
License: GPL
Group: Development/Tools
Source: %{name}-%{version}.tar.gz
Source1: http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{acpio}.tar.gz
Source2: http://search.cpan.org/CPAN/authors/id/R/RB/RBERJON/%{xnamespace}.tar.gz
Source3: http://mirror.rit.edu/CPAN/authors/id/G/GR/GRANTM/%{xsax}.tar.gz
Source4: http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/%{xsimple}.tar.gz
Source5: ChangeLog
Source6: ftp://ftp.debian.org/debian/pool/main/f/fakeroot/%{fakeroottar}
URL: http://bzr.linux-foundation.org/lsb/devel/makelsbpkg
Patch0: makelsbpkg-nocheck-perl-modules.patch
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb-setup >= 4.0.1
BuildRequires: lsb-build-cc

%description
This is a perl script to build an LSB compliant RPM from a source directory
of files or a cpio archive.

#==================================================
%prep
%setup -q -a1 -a2 -a3 -a4 -a6
%patch0 -p0 -b .nocheck

#==================================================
%build
cd %{acpio}
perl Makefile.PL PREFIX=%{basedir} LIB=%{basedir}/share/perl \
	INSTALLSITEMAN1DIR=%{basedir}/man/man1 \
	INSTALLSITEMAN3DIR=%{basedir}/man/man3
make
cd -

cd %{xnamespace}
perl Makefile.PL LIB=%{basedir}/share/perl INC=%{basedir}/share/perl \
	INSTALLSITEMAN1DIR=%{basedir}/man/man1 \
	INSTALLSITEMAN3DIR=%{basedir}/man/man3
make
cd -

cd %{xsax}
# (sb) for some reason this stalls asking a question on ia64 only
echo 'Y' | perl Makefile.PL LIB=%{basedir}/share/perl INC=%{basedir}/share/perl \
	INSTALLSITEMAN1DIR=%{basedir}/man/man1 \
	INSTALLSITEMAN3DIR=%{basedir}/man/man3
make
cd -

cd %{xsimple}
perl Makefile.PL LIB=%{basedir}/share/perl \
	INSTALLSITEMAN1DIR=%{basedir}/man/man1 \
	INSTALLSITEMAN3DIR=%{basedir}/man/man3
make
cd -

cd %{fakeroot}
%define libdir /opt/lsb/libfakeroot
CC=lsbcc ./configure --prefix=/opt/lsb --mandir=/opt/lsb/man --libdir=%{libdir}
make
cd -
  
#==================================================
%install

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{basedir}/{bin,share,man/{man1,man3}}
mkdir -p ${RPM_BUILD_ROOT}%{basedir}/doc/%{name}
cp -p source/makelsbpkg ${RPM_BUILD_ROOT}%{basedir}/bin
for doc in TODO COPYING sample.xml filemode-sample.xml;do
  cp -p doc/$doc ${RPM_BUILD_ROOT}%{basedir}/doc/%{name}
done
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{basedir}/doc/%{name}
cp -p doc/makelsbpkg.1 ${RPM_BUILD_ROOT}%{basedir}/man/man1

cd %{acpio}
make DESTDIR=${RPM_BUILD_ROOT}/ install
cd -

cd %{xnamespace}
make DESTDIR=${RPM_BUILD_ROOT}/ install
cd -

cd %{xsax}
make DESTDIR=${RPM_BUILD_ROOT}/ PERL="perl -I${RPM_BUILD_ROOT}%{basedir}/share/perl" install
cd -

cd %{xsimple}
make DESTDIR=${RPM_BUILD_ROOT}/ install
cd -

cd %{fakeroot}
make DESTDIR=${RPM_BUILD_ROOT} install
cd -

# remove uneeded bits of the perl modules
rm -f ${RPM_BUILD_ROOT}%{basedir}/bin/cpio-filter
rm -f ${RPM_BUILD_ROOT}%{basedir}/man/man1/cpio-filter.1
rm -fr ${RPM_BUILD_ROOT}%{basedir}/share/perl/*linux-thread-multi

# remove uneeded fakeroot bits
rm -f ${RPM_BUILD_ROOT}%{libdir}/libfakeroot.a
rm -f ${RPM_BUILD_ROOT}%{libdir}/libfakeroot.la

#==================================================
%clean
if [ -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then 
    rm -rf ${RPM_BUILD_ROOT}
fi

#==================================================
%files
%defattr(-,root,root)

%{basedir}/bin/makelsbpkg
%{basedir}/bin/fake*
%dir %{basedir}/libfakeroot
%{basedir}/libfakeroot/libfake*
%dir %{basedir}/doc/%{name}
%{basedir}/doc/%{name}/*
%{basedir}/man/man1/*
%{basedir}/man/man3/*
%{basedir}/man/es/*
%{basedir}/man/fr/*
%{basedir}/man/nl/*
%{basedir}/man/sv/*
%{basedir}/share/perl/*

#==================================================
%changelog
* Tue Aug 05 2008 Stew Benedict <stewb@linux-foundation.org>
- no changelog so alien is happy
